Create counterparty bank account
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/bank_accounts \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "87654321",
"type": "checking"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/bank_accounts"
payload = {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "87654321",
"type": "checking"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '0001',
digit: '1',
ispb: '12345678',
number: '87654321',
type: 'checking'
})
};
fetch('https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/bank_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"branch": "0001",
"counterparty_id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"digit": "1",
"id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"ispb": "12345678",
"number": "87654321",
"type": "checking"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Counterparties
Create Counterparty Bank Account
Create a bank account for a counterparty
POST
/
banking
/
counterparties
/
{counterparty_id}
/
bank_accounts
Create counterparty bank account
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Counterparty ID Unique identifier
Body
application/json
The create counterparty bank account attributes
Response
CounterpartyBankAccount
Body response of the counterparty bank account
⌘I

